+++
title = 'n(eo)vim'
date = 2022-05-22T07:42:43+01:00
lastmod = 2022-05-22T22:22:32+01:00
draft = false
tags = ['editor', 'text', 'vim']
categories = ['tech']
series = ['vim-to-nvim-migration']
+++

A few days ago I decided to try out neovim in my everyday-life workflows.

I know about neovim since quite a while. Also I know about a few technical advantages compared to vim but over long time
it was always the same:

- I installed neovim
- I used it a few times that day and maybe the next day
- I started to forget to run nvim instead of vim and…
- found myself using vim again since then

I have a week of vacation and this time I want to make serious change and integrate neovim into my daily life for while.
I’m curious about nvim. Vim is now part of my life since about 7 years and vim is awesome {{< heart >}} Vim is
definitely my editor of choice and I use a lot of other software that provide vim-bindings and vim-like functionalities.
Also I haven’t had a bad experience with vim so that I want to try nvim now. I’m super happy with vim. But I want to
make experiences. Trying something new and getting new impressions is inspiring, I think. There is something about
neovim that I’m very curious about: it is possible to configure it using lua.

For the beginning I have set up the config so that the vimrc is sourced

```
set runtimepath^=~/.vim runtimepath+=~/.vim/after
let &packpath = &runtimepath
source ~/.vim/vimrc
```

I had to comment my viminfo config `set vi='100,<50,s10,h,n~/.vim/viminfo` because nvim uses shada instead and having set
vi makes nvim print some warnings. As I wrote the previous sentence I just took a look my `~/.config/nvim/` folder and
didn’t yet see a shada subfolder - so I have to take a look at the settings later on. I use vim-plug as plugin manager -
it was enough to copy the `~/.vim/{plugged,autoload}` folders to `~/.config/nvim/` to make the plugins work. Quite easy so
far - awesome :-) In the next days I want to write a new config neovim, because my vim configs are in a git repository
and I want to version nvim’s config seperatly. Also - as already mentioned before - because I want to see how things are
when nvim is configured with lua. I’m very excited :-)
