+++
title = 'Calendars'
date = 2022-01-02T10:45:28+01:00
lastmod = 2024-02-19T22:36:28+01:00
tags = [ 'caldav', 'calendar', 'gtd', 'remind' ]
draft = false
categories = ['general']
+++

(This is an opinion piece)

Calendars are quite a big topic for me. For very long time I avoided to use CalDAV calendars. I didn’t have no special reason, like something that I explicitely dislike in CalDAV or similar. It happened, because… well… I always wondered why so many people combine calendars with eMail and CalDAV seemed to me like it’s always around eMail. I know this is not true, but…

However… quite early I stumbled upon an awesome tool called remind by Diana Skoll and I really liked it. I still like it. I think it is not so easy to learn that tool and I never dived very deep. Remind is really super, but it’s a tool that has learning curve. Not problematic at all. The point is that I sometimes don’t use it for a while and then I forget a lot of things. And if I want to create an event then I have to read first a lot to get back into the topic and then I’m again in the situation that I think

“*Yes, I should really sit down and learn this, because it is such an awesome tool and I should really integrate it into my everyday life.*”

…but for some reason this doesn’t happen since many years.

In my mind task management is closer to calendars than eMail and so I tried many other tools that are quite popular, but from the beginning I see that none of the existing solutions meet my needs. A few months ago I started using CalDAV calendars and also there the situation is the same: tools don’t meet my needs. But I learned that I really like to synchronize calendars and having them with me on my mobile phone. This is really helpful.

To give an example why I’m so frustrated about calendaring tools: There’s a group that I’m member of and we meet every monday. We’re still discovering how to really organize our meetings. We have two kinds of meetings: plenums and tinker meetings. For a while we had simply every two weeks plenum and every two weeks tinker meeting. In the calendaring tool that I currently use this is easy. But recently the situation changed to: every first monday of a month plenum and the the other mondays tinker meeting. This first monday thing is easy in my tool, but the other is not, because I have “every second”, “every third”, “every fourth” and sometimes “every fith”. From logical viewpoint I would say this is “every monday that’s not the first in a month”, but guess what: this functionality does not exist. Of course not. Why not? Good question my dear readers :-) My “solution” was to generate an entry for every monday that’s a tinker meeting so that I have two entries for the first monday of a month when we have plenum. Ugly, if you ask me. And something that I hear people often say when we discuss this is and similar problems:

“*Well… most people don’t use such advanced features like those you wish to have.*”

To be honest: I don’t think that this is true. First: I don’t think that my wishes describe features that are that advanced. Second: I think that most people simply deal with the existing tools. I think many many people are also not satisfied, but don’t give feedback.

Recently I started to code an own solution. My progress is very slow because I’m not really a coder - so this project is also something that I use to learn programming as well. Maybe I can figure out why all the tools out there are so inflexible. All except remind of course :-)

I hope that I’ll continue my work with my calendar project and that it will bring interesting results.

